Bug 654499 - [abrt] Mayavi-3.3.2-1.fc14: tvtk_base.py:523:_wrap_call:TypeError: function takes exactly 4 arguments (2 given)
[abrt] Mayavi-3.3.2-1.fc14: tvtk_base.py:523:_wrap_call:TypeError: function t...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Mayavi (Show other bugs)
14
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
abrt_hash:997963de
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 20:30 EST by bakri
Modified: 2012-08-16 18:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:12:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.11 KB, text/plain)
2010-11-17 20:30 EST, bakri
no flags Details

  None (edit)
Description bakri 2010-11-17 20:30:17 EST
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/mayavi2
component: Mayavi
executable: /usr/bin/mayavi2
kernel: 2.6.35.6-48.fc14.i686
package: Mayavi-3.3.2-1.fc14
reason: tvtk_base.py:523:_wrap_call:TypeError: function takes exactly 4 arguments (2 given)
release: Fedora release 14 (Laughlin)
time: 1290043766
uid: 500

backtrace
-----
tvtk_base.py:523:_wrap_call:TypeError: function takes exactly 4 arguments (2 given)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/enthought/tvtk/pyface/ui/wx/scene.py", line 484, in OnKeyUp
    data = self.picker.pick_world(x, y)
  File "/usr/lib/python2.7/site-packages/enthought/tvtk/pyface/picker.py", line 372, in pick_world
    self.cellpicker.pick( (float(x), float(y), 0.0), self.renwin.renderer)
  File "/usr/lib/python2.7/site-packages/enthought/tvtk/tvtk_classes.zip/tvtk_classes/abstract_picker.py", line 153, in pick
    ret = self._wrap_call(self._vtk_obj.Pick, *my_args)
  File "/usr/lib/python2.7/site-packages/enthought/tvtk/tvtk_base.py", line 523, in _wrap_call
    ret = vtk_method(*args)
TypeError: function takes exactly 4 arguments (2 given)

Local variables in innermost frame:
self: <tvtk_classes.cell_picker.CellPicker object at 0xb5dcb0c>
args: ((24.0, 117.0, 0.0), <libvtkRenderingPython.vtkOpenGLRenderer vtkobject at 0xb5993e0>)
vtk_obj: <libvtkRenderingPython.vtkCellPicker vtkobject at 0xb713578>
vtk_method: <built-in method Pick of vtkobject object at 0xb713578>
mtime: 1266L

How to reproduce
-----
1.free 'f' key on scene
2.
3.
Comment 1 bakri 2010-11-17 20:30:20 EST
Created attachment 461195 [details]
File: backtrace
Comment 2 Rakesh Pandit 2011-01-05 04:59:50 EST
I am not able to reproduce.

May you explain what ".free 'f' key on scene" means ?

Regards,
Rakesh Pandit
Comment 3 Rakesh Pandit 2011-01-05 05:16:30 EST
Package: Mayavi-3.3.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Point cursur to scence
2. Type f key
3.
Comment 4 Rakesh Pandit 2011-01-05 05:17:14 EST
Thanks for reporting. I can reproduce now.
Comment 5 Rakesh Pandit 2011-01-05 05:34:41 EST
Upstream tracker: https://svn.enthought.com/enthought/ticket/1887
Comment 6 Fedora End Of Life 2012-08-16 18:12:51 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.